#pragma once

#include <QtWidgets/QMainWindow>
#include <QtWidgets/QStackedWidget>
#include "QDataManagementWidget.h"
#include "ui_QMainFrame.h"

class QMainFrame : public QMainWindow
{
Q_OBJECT

public:
	QMainFrame( QWidget * parent = Q_NULLPTR );

private:
	void init();
	void initData();
	void initWidgets();
	void initSignal();

private:
	Ui::QMainFrameClass     ui;
	QStackedWidget *        pStackedWidget;
	QDataManagementWidget * pWidgetDataManagement;
};
